Search documentation of snmp

# View Source snmp_community_mib (snmp v5.16)

Instrumentation Functions for SNMP-COMMUNITY-MIB

The module `snmp_community_mib` implements the instrumentation functions for the SNMP-COMMUNITY-MIB, and functions for configuring the database.

The configuration files are described in the SNMP User's Manual.

# Summary

## Types

context_name()

A human readable string.

index()

`SnmpAdminString (SIZE(1..32))`

name()

`OCTET STRING (SIZE(1..64))`

security_name()

`SnmpAdminString`

transport_tag()

`SnmpTagValue`

## Functions

add_community(Idx, CommName, SecName, CtxName, TransportTag)

Equivalent to `add_community/6`.

add_community(Idx, CommName, SecName, EngineId, CtxName, TransportTag)

Adds a community to the agent config. Equivalent to one line in the `community.conf` file.

configure(ConfDir)

This function is called from the supervisor at system start-up.

delete_community(Key)

Delete a community from the agent config.

reconfigure(ConfDir)

Inserts all data in the configuration files into the database and destroys all old data, including the rows with StorageType `nonVolatile`. The rows created from the configuration file will have StorageType `nonVolatile`.

# Types

Link to this type

# context_name()

View Source

    -type context_name() :: snmp_framework_mib:admin_string().

A human readable string.

`SnmpAdminString`

Link to this type

# index()

View Source

    -type index() :: snmp_framework_mib:admin_string().

`SnmpAdminString (SIZE(1..32))`

Link to this type

# name()

View Source

    -type name() :: string().

`OCTET STRING (SIZE(1..64))`

Link to this type

# security_name()

View Source

    -type security_name() :: snmp_framework_mib:admin_string().

`SnmpAdminString`

Link to this type

# transport_tag()

View Source

    -type transport_tag() :: snmp_target_mib:tag_value().

`SnmpTagValue`

# Functions

Link to this function

# add_community(Idx, CommName, SecName, CtxName, TransportTag)

View Source

    -spec add_community(Idx, CommName, SecName, CtxName, TransportTag) -> {ok, Key} | {error, Reason}
                           when
                               Idx :: index(),
                               CommName :: name(),
                               SecName :: security_name(),
                               CtxName :: context_name(),
                               TransportTag :: transport_tag(),
                               Key :: term(),
                               Reason :: term().

Equivalent to `add_community/6`.

Link to this function

# add_community(Idx, CommName, SecName, EngineId, CtxName, TransportTag)

View Source (since OTP R14B03)

    -spec add_community(Idx, CommName, SecName, EngineId, CtxName, TransportTag) ->
                           {ok, Key} | {error, Reason}
                           when
                               Idx :: index(),
                               CommName :: name(),
                               SecName :: security_name(),
                               EngineId :: snmp_framework_mib:engine_id(),
                               CtxName :: context_name(),
                               TransportTag :: transport_tag(),
                               Key :: term(),
                               Reason :: term().

Adds a community to the agent config. Equivalent to one line in the `community.conf` file.

With the `EngineId` argument it is possible to override the configured engine-id (SNMP-FRAMEWORK-MIB).

Link to this function

# configure(ConfDir)

View Source

    -spec configure(ConfDir) -> snmp:void() when ConfDir :: string().

This function is called from the supervisor at system start-up.

Inserts all data in the configuration files into the database and destroys all old rows with StorageType `volatile`. The rows created from the configuration file will have StorageType `nonVolatile`.

All `snmp` counters are set to zero.

If an error is found in the configuration file, it is reported using the function `config_err/2` of the error, report module and the function fails with reason `configuration_error`.

`ConfDir` is a string which points to the directory where the configuration files are found.

The configuration file read is: `community.conf`.

Link to this function

# delete_community(Key)

View Source

    -spec delete_community(Key) -> ok | {error, Reason} when Key :: term(), Reason :: term().

Delete a community from the agent config.

Link to this function

# reconfigure(ConfDir)

View Source

    -spec reconfigure(ConfDir) -> snmp:void() when ConfDir :: string().

Inserts all data in the configuration files into the database and destroys all old data, including the rows with StorageType `nonVolatile`. The rows created from the configuration file will have StorageType `nonVolatile`.

Thus, the data in the SNMP-COMMUNITY-MIB, after this function has been called, is from the configuration files.

All `snmp` counters are set to zero.

If an error is found in the configuration file, it is reported using the function `config_err/2` of the error report module, and the function fails with reason `configuration_error`.

`ConfDir` is a string which points to the directory where the configuration files are found.

The configuration file read is: `community.conf`.